Bug 1301172 - Docker tag view name field shows docker tag instead of container name
Docker tag view name field shows docker tag instead of container name
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management (Show other bugs)
6.1.6
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 14:05 EST by ldomb
Modified: 2017-08-01 16:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:33:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ldomb 2016-01-22 14:05:33 EST
Description of problem:

When looking at the "Content->Docker Tag" I would expect to see the name of the container and not the docker tag in the name field. 

When looking at the view I get 

name: 
l:6.7
rhel:6.7-35
rhel:7.0-21
rhel:7.0-23
rhel:7.0-27
rhel:7.1-11
rhel:7.1-12
rhel:7.1-16
rhel:7.1-24
rhel:7.1-4
rhel:7.1-6
rhel:7.1-9
rhel:7.2
rhel:7.2-35
rhel:7.2-38
rhel:latest 

Makes no sense as I have no possibility without a docker host to know what I actually have as a docker image.  

Version-Release number of selected component (if applicable): 6.1.5 and 6.1.6


How reproducible:

Mirror a docker repo and follow the steps explained above


Steps to Reproduce:
1. Mirror docker repo
2. publish content view
3. Goto Content -> Docker Tags

Actual results:
Docker tag is in name field

Expected results:

Name of the docker container should be in name field

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:06:16 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Tom McKay 2017-01-27 06:15:04 EST
The docker tags page has been changed to include three columns: Name has "image:tag", Product Name, and Repository Name.

This page is meant to show the images and their tags available in repositories; it is unrelated to running containers.

Can you explain more about the use case and what you were trying to accomplish?
Comment 5 ldomb 2017-02-07 10:35:23 EST
Can be closed looks fine now.
Comment 6 Bryan Kearney 2017-08-01 16:33:29 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.